//Задаем путь к точкам обмена сообщениями 
function [isRuleAnswer,..
          regRezult,..
          pathToMessagePoint,..
          fullRuleAnswerFileName]=IsRuleAnswer(MessageFilePointName..//Имя точки обмена сообщениями
                                               )
    //Проверяем число аргументов
    nArg = argn(2);//Число аргументов
    if nArg < 1 then
        error('Function IsRuleAnswer takes 1 argument');
    end
    
    //Проверяем аргумент
    if (type(MessageFilePointName) ~= 10) ||..
       (size(MessageFilePointName,'*') ~= 1) then
        error('The argument MessageFilePointName of function ReadMessageFromPointFile must be scalar string');
    end
    
    //Проверяем, зарегистрирована ли точка обмена сообщениями
    [regRezult,..
     pathToMessagePoint]=isRegisteredMessageFilePoint(MessageFilePointName);
    if ~regRezult then
        isRuleAnswer = %f;
        return;
    end
    
    //Проверяем право ответа на вопрос
    fullRuleAnswerFileName = fullfile(pathToMessagePoint,'ruleAnswer.ran');//Полное имя файла права ответа на вопрос
    isRuleAnswer = (~isempty(fileinfo(fullRuleAnswerFileName))) &&..
                   (mgetl(fullRuleAnswerFileName) == '1');
endfunction
